package com.ruoyi.project.sems.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 特种设备压力容器台账对象 t_specdev_ylrq
 *
 * @author ruoyi
 * @date 2021-06-30
 */
public class TSpecdevYlrq extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置")
    private String plantCode;

    /** 设备位号 */
    @Excel(name = "容器位号")
    private String devno;

    /** P&ID号 */
    @Excel(name = "P&ID号")
    private String pidNo;

    /** 设备名称 */
    @Excel(name = "容器名称")
    private String devname;

    /** 英文名称 */
    @Excel(name = "英文名称")
    private String devEnname;

    /** 状态 */
    @Excel(name = "状态", dictType = "spec_dev_status")
    private Long status;

    /** 安全阀 */
    @Excel(name = "安全阀")
    private String reliefValve;

    /** 使用证编号 */
    @Excel(name = "使用证号码")
    private String useno;

    /** 注册代码 */
    @Excel(name = "注册编号")
    private String regno;

    /** 出厂资料 */
    @Excel(name = "出厂资料")
    private String factoryInfo;

    /** 下次检验日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次检验日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextWarnDate;

    /** 设备出厂编号 */
    @Excel(name = "设备出厂编号")
    private String factoryNo;

    /** 设计单位 */
    @Excel(name = "设计单位")
    private String designUnit;

    /** 制造单位 */
    @Excel(name = "制造单位")
    private String createUnit;

    /** 容器类别 */
    @Excel(name = "容器类别")
    private String vesselType;

    /** 用途代码 */
    @Excel(name = "用途代号")
    private String useCode;

    /** 压力等级 */
    @Excel(name = "压力等级代号")
    private String pressureGrade;

    /** 安全等级 */
    @Excel(name = "安全状况等级")
    private String safeClass;

    /** 提交日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "投用日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitdate;

    /** 设计使用年限 */
    @Excel(name = "设计使用年限")
    private String desYear;

    /** 设计寿命到期 */
    @JsonFormat(pattern = "yyyy-MM" , timezone = "GMT+8")
    @Excel(name = "设计寿命到期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date designDead;

    /** 定期检验日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "最近检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date warnDate;


    @Excel(name = "检验状态")
    private String checkStatus;

    /** 单元 */
    //@Excel(name = "单元")
    private String unit;

    /** PM维修组 */
    //@Excel(name = "装置维修组")
    private String plantMaint;

    /** 工程师 */
    //@Excel(name = "装置维修工程师")
    private String engineer;


    /** 审核状态 */
    //@Excel(name = "审核状态", dictType = "spec_approve_status")
    private Long approveStatus;

    /** 国家 */
    //@Excel(name = "国家")
    private String nation;

    /** 外形尺寸 */
    //@Excel(name = "外形尺寸(直径*长(高)*厚(mm))")
    private String outSize;

    /** 材质 */
    //@Excel(name = "材料")
    private String material;

    /** 介质 */
   // @Excel(name = "介质")
    private String medium;

    /** 设计压力 */
    //@Excel(name = "设计压力(MPa)")
    private String desPressure;

    /** 操作压力 */
    //@Excel(name = "操作压力(MPa)")
    private String optPressure;

    /** 设计温度 */
    //@Excel(name = "设计温度(℃)")
    private String desTemp;

    /** 操作温度 */
    //@Excel(name = "操作温度(℃)")
    private String optTemp;

    /** 涉危化品 */
    //@Excel(name = "是否涉危化品")
    private String isDanger;

    /** 超过使用寿命 */
    //@Excel(name = "是否达到设计使用年限")
    private String isOverlife;

    /** 检验单位 */
    //@Excel(name = "检验单位")
    private String checkUnit;

    /** 报告编号 */
    //@Excel(name = "定期检验报告编号")
    private String reportNo;

    /** 年度检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
   // @Excel(name = "年度检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date yearWarnDate;

    /** 年度检查结论 */
   // @Excel(name = "年度检查结论")
    private String checkConclusion;

    /** 下次年度检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
   // @Excel(name = "下次年度检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date yearNextWarnDate;

    /** 年度检查报告编号 */
   // @Excel(name = "年度检查报告编号")
    private String yearReportNo;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    /** 创建人 */
    private Long createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private Long updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    //@Excel(name = "部门编号")
    private Long deptId;

    /** 检测周期 */
    //@Excel(name = "检测周期")
    private Long warnCycle;

    /** 预警标识 */
    //@Excel(name = "预警标识")
    private Long warnFlag;

    /** 重点设备 */
    //@Excel(name = "重点设备")
    private Long isKey;

    /** 最新申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    //@Excel(name = "最新申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /** 状态修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    //@Excel(name = "状态修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date changeTime;

    /** 部门名称 */
    //@Excel(name = "部门名称")

    private String deptName;

    /** 状态(0:改造,1:修改) */

    private Long hiType;


    private Long devId;


    private Long hiFlag;


    private String plantIds;


    private String unitIds;


    private String checkYear;



    private String fuzzy;

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getFuzzy() {
        return fuzzy;
    }

    public void setFuzzy(String fuzzy) {
        this.fuzzy = fuzzy;
    }
    public String getDevEnname() {
        return devEnname;
    }

    public void setDevEnname(String devEnname) {
        this.devEnname = devEnname;
    }

    public String getPidNo() {
        return pidNo;
    }

    public void setPidNo(String pidNo) {
        this.pidNo = pidNo;
    }

    public String getReliefValve() {
        return reliefValve;
    }

    public void setReliefValve(String reliefValve) {
        this.reliefValve = reliefValve;
    }

    public String getFactoryInfo() {
        return factoryInfo;
    }

    public void setFactoryInfo(String factoryInfo) {
        this.factoryInfo = factoryInfo;
    }

    public String getDesignUnit() {
        return designUnit;
    }

    public void setDesignUnit(String designUnit) {
        this.designUnit = designUnit;
    }

    public String getUseCode() {
        return useCode;
    }

    public void setUseCode(String useCode) {
        this.useCode = useCode;
    }

    public String getPressureGrade() {
        return pressureGrade;
    }

    public void setPressureGrade(String pressureGrade) {
        this.pressureGrade = pressureGrade;
    }

    public Date getDesignDead() {
        return designDead;
    }

    public void setDesignDead(Date designDead) {
        this.designDead = designDead;
    }

    public Long getHiFlag() {
        return hiFlag;
    }

    public void setHiFlag(Long hiFlag) {
        this.hiFlag = hiFlag;
    }

    private Long isRepeat;

    public Long getIsRepeat() {
        return isRepeat;
    }

    public void setIsRepeat(Long isRepeat) {
        this.isRepeat = isRepeat;
    }

    public Long getHiType() {
        return hiType;
    }

    public void setHiType(Long hiType) {
        this.hiType = hiType;
    }

    public Long getDevId() {
        return devId;
    }

    public void setDevId(Long devId) {
        this.devId = devId;
    }

    public String getDesYear() {
        return desYear;
    }

    public void setDesYear(String desYear) {
        this.desYear = desYear;
    }

    public Date getYearWarnDate() {
        return yearWarnDate;
    }

    public void setYearWarnDate(Date yearWarnDate) {
        this.yearWarnDate = yearWarnDate;
    }

    public String getCheckConclusion() {
        return checkConclusion;
    }

    public void setCheckConclusion(String checkConclusion) {
        this.checkConclusion = checkConclusion;
    }

    public Date getYearNextWarnDate() {
        return yearNextWarnDate;
    }

    public void setYearNextWarnDate(Date yearNextWarnDate) {
        this.yearNextWarnDate = yearNextWarnDate;
    }

    public String getYearReportNo() {
        return yearReportNo;
    }

    public void setYearReportNo(String yearReportNo) {
        this.yearReportNo = yearReportNo;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setDevname(String devname)
    {
        this.devname = devname;
    }

    public String getDevname()
    {
        return devname;
    }
    public void setDevno(String devno)
    {
        this.devno = devno;
    }

    public String getDevno()
    {
        return devno;
    }
    public void setSubmitdate(Date submitdate)
    {
        this.submitdate = submitdate;
    }

    public Date getSubmitdate()
    {
        return submitdate;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }
    public void setRegno(String regno)
    {
        this.regno = regno;
    }

    public String getRegno()
    {
        return regno;
    }
    public void setUseno(String useno)
    {
        this.useno = useno;
    }

    public String getUseno()
    {
        return useno;
    }
    public void setWarnDate(Date warnDate)
    {
        this.warnDate = warnDate;
    }

    public Date getWarnDate()
    {
        return warnDate;
    }
    public void setWarnCycle(Long warnCycle)
    {
        this.warnCycle = warnCycle;
    }

    public Long getWarnCycle()
    {
        return warnCycle;
    }
    public void setNextWarnDate(Date nextWarnDate)
    {
        this.nextWarnDate = nextWarnDate;
    }

    public Date getNextWarnDate()
    {
        return nextWarnDate;
    }
    public void setWarnFlag(Long warnFlag)
    {
        this.warnFlag = warnFlag;
    }

    public Long getWarnFlag()
    {
        return warnFlag;
    }
    public void setPlantMaint(String plantMaint)
    {
        this.plantMaint = plantMaint;
    }

    public String getPlantMaint()
    {
        return plantMaint;
    }
    public void setEngineer(String engineer)
    {
        this.engineer = engineer;
    }

    public String getEngineer()
    {
        return engineer;
    }
    public void setVesselType(String vesselType)
    {
        this.vesselType = vesselType;
    }

    public String getVesselType()
    {
        return vesselType;
    }
    public void setIsKey(Long isKey)
    {
        this.isKey = isKey;
    }

    public Long getIsKey()
    {
        return isKey;
    }
    public void setCreateUnit(String createUnit)
    {
        this.createUnit = createUnit;
    }

    public String getCreateUnit()
    {
        return createUnit;
    }
    public void setNation(String nation)
    {
        this.nation = nation;
    }

    public String getNation()
    {
        return nation;
    }
    public void setOutSize(String outSize)
    {
        this.outSize = outSize;
    }

    public String getOutSize()
    {
        return outSize;
    }
    public void setMaterial(String material)
    {
        this.material = material;
    }

    public String getMaterial()
    {
        return material;
    }
    public void setMedium(String medium)
    {
        this.medium = medium;
    }

    public String getMedium()
    {
        return medium;
    }
    public void setDesPressure(String desPressure)
    {
        this.desPressure = desPressure;
    }

    public String getDesPressure()
    {
        return desPressure;
    }
    public void setDesTemp(String desTemp)
    {
        this.desTemp = desTemp;
    }

    public String getDesTemp()
    {
        return desTemp;
    }
    public void setOptPressure(String optPressure)
    {
        this.optPressure = optPressure;
    }

    public String getOptPressure()
    {
        return optPressure;
    }
    public void setOptTemp(String optTemp)
    {
        this.optTemp = optTemp;
    }

    public String getOptTemp()
    {
        return optTemp;
    }
    public void setCheckUnit(String checkUnit)
    {
        this.checkUnit = checkUnit;
    }

    public String getCheckUnit()
    {
        return checkUnit;
    }
    public void setReportNo(String reportNo)
    {
        this.reportNo = reportNo;
    }

    public String getReportNo()
    {
        return reportNo;
    }

    public String getIsDanger() {
        return isDanger;
    }

    public void setIsDanger(String isDanger) {
        this.isDanger = isDanger;
    }

    public String getIsOverlife() {
        return isOverlife;
    }

    public void setIsOverlife(String isOverlife) {
        this.isOverlife = isOverlife;
    }

    public void setSafeClass(String safeClass)
    {
        this.safeClass = safeClass;
    }

    public String getSafeClass()
    {
        return safeClass;
    }
    public void setApproveTime(Date approveTime)
    {
        this.approveTime = approveTime;
    }

    public Date getApproveTime()
    {
        return approveTime;
    }
    public void setChangeTime(Date changeTime)
    {
        this.changeTime = changeTime;
    }

    public Date getChangeTime()
    {
        return changeTime;
    }

    public String getPlantIds() {
        return plantIds;
    }

    public void setPlantIds(String plantIds) {
        this.plantIds = plantIds;
    }

    public String getUnitIds() {
        return unitIds;
    }

    public void setUnitIds(String unitIds) {
        this.unitIds = unitIds;
    }

    public String getCheckYear() {
        return checkYear;
    }

    public void setCheckYear(String checkYear) {
        this.checkYear = checkYear;
    }

    public String getFactoryNo() {
        return factoryNo;
    }

    public void setFactoryNo(String factoryNo) {
        this.factoryNo = factoryNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("unit", getUnit())
            .append("devname", getDevname())
            .append("devno", getDevno())
            .append("submitdate", getSubmitdate())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("approveStatus", getApproveStatus())
            .append("regno", getRegno())
            .append("useno", getUseno())
            .append("warnDate", getWarnDate())
            .append("warnCycle", getWarnCycle())
            .append("nextWarnDate", getNextWarnDate())
            .append("warnFlag", getWarnFlag())
            .append("plantMaint", getPlantMaint())
            .append("engineer", getEngineer())
            .append("vesselType", getVesselType())
            .append("isKey", getIsKey())
            .append("createUnit", getCreateUnit())
            .append("nation", getNation())
            .append("outSize", getOutSize())
            .append("material", getMaterial())
            .append("medium", getMedium())
            .append("desPressure", getDesPressure())
            .append("desTemp", getDesTemp())
            .append("optPressure", getOptPressure())
            .append("optTemp", getOptTemp())
            .append("checkUnit", getCheckUnit())
            .append("reportNo", getReportNo())
            .append("isDanger", getIsDanger())
            .append("isOverlife", getIsOverlife())
            .append("safeClass", getSafeClass())
            .append("approveTime", getApproveTime())
            .append("changeTime", getChangeTime())
            .toString();
    }
}
